ancestor: null
releases:
  1.0.0:
    changes:
      bugfixes:
      - Fix no log issues for private_key for deepsec_syslog_config module.
      minor_changes:
      - Add deepsec_anti_malware config module.
      - Add deepsec_firewallrules config module.
      - Add deepsec_hosts_info config module.
      - Add deepsec_log_inspectionrules module.
      - Add deepsec_syslog module.
    fragments:
    - anti_malware_config.yml
    - fix_sanity_no_log_issue.yaml
    modules:
    - description: Create a new antimalware under TrendMicro Deep Security Policy
      name: deepsec_anti_malware
      namespace: ''
    - description: Create a new firewall rule.
      name: deepsec_firewallrules
      namespace: ''
    - description: Obtain information about one or many Hosts defined by TrendMicro
        Deep Security
      name: deepsec_hosts_info
      namespace: ''
    - description: Create a new log inspection rule.
      name: deepsec_log_inspectionrules
      namespace: ''
    - description: Configure or create a syslog configuration for TrendMicro Deep Security
      name: deepsec_syslog
    release_date: '2021-06-23'
  1.1.0:
    changes:
      minor_changes:
      - Add deepsec_apikey config module.
      - Add deepsec_system_settings config module.
    fragments:
    - add_api_key_module.yaml
    - add_system_settings_module.yaml
    modules:
    - description: Create a new and manage API Keys.
      name: deepsec_apikey
      namespace: ''
    - description: Modify the system settings for TrendMicro Deep Security.
      name: deepsec_system_settings
      namespace: ''
    release_date: '2021-06-24'
  1.2.0:
    changes:
      doc_changes:
      - To update comments to get included TM collection under Ansible (https://github.com/ansible-collections/ansible-inclusion/discussions/27#discussioncomment-1016085).
      minor_changes:
      - Add AntiMalware rules resource module.
      - Add Firewall rules resource module.
      - Add Log Inspection rules resource module.
      - Add new Integrity Monitoring rules module (https://github.com/ansible-collections/trendmicro.deepsec/pull/24).
      - Add new RM states to Intrusion prevention rules module (https://github.com/ansible-collections/trendmicro.deepsec/pull/25).
    fragments:
    - 23_add_intrusion_prevention_rules_module.yaml
    - 24_add_integrity_monitoring_rules_mosule.yaml
    - Add_antimalware_rules.yaml
    - Add_firewall_rules_resource_module.yaml
    - Add_integrity_monitoring_rules_resource_module.yaml
    - Add_log_inspection_rules_resource_module.yaml
    - fix_comments_for_getting_tm_to_get_included_to_ansible.yaml
    - reinstate_ipr_legacy_module.yaml
    - support_rm_states_for_ipr_module.yaml
    modules:
    - description: Manages AntiMalware Rule resource module
      name: deepsec_anti_malwares
      namespace: private.var.folders._0.m716s5gx1g3d5j1dw_s2w1ph0000gn.T.antsibull-changeloghfeb6_9p.collections.ansible_collections.trendmicro.deepsec.plugins.modules
    - description: Manages Firewall Rule resource module
      name: deepsec_firewall_rules
      namespace: private.var.folders._0.m716s5gx1g3d5j1dw_s2w1ph0000gn.T.antsibull-changeloghfeb6_9p.collections.ansible_collections.trendmicro.deepsec.plugins.modules
    - description: Manages Integrity Monitoring Rule resource module
      name: deepsec_integrity_monitoring_rules
      namespace: private.var.folders._0.m716s5gx1g3d5j1dw_s2w1ph0000gn.T.antsibull-changeloghfeb6_9p.collections.ansible_collections.trendmicro.deepsec.plugins.modules
    - description: Intrusion Prevention Rule resource module.
      name: deepsec_intrusion_prevention_rules
      namespace: private.var.folders._0.m716s5gx1g3d5j1dw_s2w1ph0000gn.T.antsibull-changeloghfeb6_9p.collections.ansible_collections.trendmicro.deepsec.plugins.modules
    - description: Manages Log Inspection Rule resource module
      name: deepsec_log_inspection_rules
      namespace: private.var.folders._0.m716s5gx1g3d5j1dw_s2w1ph0000gn.T.antsibull-changeloghfeb6_9p.collections.ansible_collections.trendmicro.deepsec.plugins.modules
    release_date: '2021-12-13'
  2.0.0:
    changes:
      doc_changes:
      - Update module doc
      major_changes:
      - Minimum required ansible.netcommon version is 2.5.1.
      - Updated base plugin references to ansible.netcommon.
    fragments:
    - 0-ignore.yml
    - 1.2.0_release_prep.yaml
    - bindep_update.yaml
    - netcommon_ref_update.yaml
    release_date: '2022-04-29'
